- block:
  - name: create blackbox user
    user:
      name: "{{ blackbox_exporter_username }}"
      home: "{{ blackbox_exporter_home }}"
      shell: /bin/bash
      system: yes
      createhome: yes
      state: present

  - name: download blackbox_exporter tarball
    get_url:
      url: "{{ blackbox_exporter_tarball_url }}"
      dest: "{{ blackbox_exporter_tarball }}"
      owner: "{{ blackbox_exporter_username }}"
      group: "{{ blackbox_exporter_username }}"
      checksum: "{{ blackbox_exporter_checksum }}"

  - name: unpack blackbox_exporter tarball
    unarchive:
      src: "{{ blackbox_exporter_tarball }}"
      dest: "{{ blackbox_exporter_home }}"
      remote_src: yes
      owner: "{{ blackbox_exporter_username }}"
      group: "{{ blackbox_exporter_username }}"
      creates: "{{ blackbox_exporter_archive_dir }}/blackbox_exporter"

  - name: install blackbox-exporter service file
    template:
      src: templates/blackbox-exporter.service
      dest: /etc/systemd/system/blackbox-exporter.service
    when: ansible_service_mgr == 'systemd'

  when: blackbox_exporter_install

